Libertonia
Portada · Todo · Software Libre · Desarrolladores · Comunidad · Internet · Tecnología · Meta · Diarios
Versionitis y otros males

m4t1t0's Diary
Por m4t1t0
departamento Enfermedades raras y contagiosas , Sección Diarios
Puesto a las Mon Feb 16th, 2004 at 12:03:16 PM CET
Bueno, tengo que reconocerlo. Padezco versionitis aguda, además el k3b (Si no lo conoce, uno de los mejores front-ends de grabación) en su última versión se niega a funcionar correctamente.

 


Encima no dispongo de Internet en casa (esto es materia para otra entrada en la que explicaré los viles trucos de los que me valgo para satisfacer mi mal y utilizar una distribución Linux actualizada).

Presentado así el panorama podía conformarme con la versión que trae mi distribución (de momento SuSE y no enredar más (La susodicha versión quema perfectamente los CD's), pero no, yo me empeño en tener lo último de lo último y por motivos desconocidos eso último no funciona. De momento lo he apañado instalando la versión 0.9pre1, de la que tenía un paquete en el disco duro.

¿Alguien tiene problemas con las últimas versiones?¿Soy yo el único que se preocupa por actualizar un programa cuando la anterior versión funciona perfectamente y cumple con sus necesidades?¿A alguien le interesa cómo me las apaño para mantenerme informado, actualizar mi sistema, postear en libertonia y bajarme los temas de kde-look sin tener Internet en casa?
< Odiosos periodistas (28 comments) | Creación oficial de Mozilla Europa (7 comments) >
Enlaces Relacionados
· versionitis aguda
· k3b
· Linux
· SuSE
· kde-look
· More on m4t1t0's Diary
· Also by m4t1t0

Encuesta
¿Padeces versionitis?
· Extrema, sólo utilizo versiones de CVS 3%
· Aguda, utilizo versiones alfas, betas y pre 39%
· Normal, actualizo lo que no funciona y mantengo lo que sí 39%
· No, actualizo los paquetes cuando actualizo mi distribución 7%
· No, uso Woody sin backports 10%
· No, yo tengo rubiitis crónica 0%

Votos: 28
Resultados | Otras Encuestas

Menu
· crear cuenta
· FAQ
· búsqueda
· Fuentes de Noticias

Login
Nueva cuenta
Usuario:
Contraseña:

Ver: Modo: Orden:
Versionitis y otros males | 10 comentarios (10 temáticos, editoriales, 0 ocultos)
Truco (4.00 / 1) (#5)
por suy (suy21.existe-en.lycos.es) a las Mon Feb 16th, 2004 at 09:54:29 PM CET
(Información Usuario) http://lacurva.net/

Este menda escribio un artículo (super fácil) explicando como puedes instalar aplicaciones KDE sin ser root (y por extensión, cualquiera que puedas modicar el prefix). Es lo que uso cuando tengo que probar un programa, y no está empaquetado, y va muy muy bien.


Esto será mi vida, porque es lo único importante en ella.
Y, si fracaso, moriré, porque para mí no existe nada más.

Raistlin Majere


Stow (none / 0) (#9)
por pnongrata (libertonia.5.pnongrata@spamgourmet.com) a las Tue Feb 17th, 2004 at 11:48:17 AM CET
(Información Usuario)

Para instalar cosas no-paquetizadas combino el configure --prefix=xxxxxx... con stow.

Mano de santo, oiga.
--
jabber:pnongrata@jabber.sk
[ Padre ]


 
Versiones... (none / 0) (#1)
por d Orb a las Mon Feb 16th, 2004 at 03:39:44 PM CET
(Información Usuario) http://skint.shef.ac.uk/

Sgrunt... Versiones... Versiones... Versiones... Por motivos de curro, tengo que utilizar un compilador propietario, que compramos hace cosa de unos cuatro añitos por unos 400 ó 500?, por mi libro una pasta gansa. La instalación necesitaba de libc5 (!!!), aunque luego el compilador utiliza libc6. Un incremento de la libc6 rompió el compilador, y junto con otros tipos desperdigados por internet, buscamos una solución. Otra nueva versión de libc6, y 3/4 de lo mismo. De todo esto, lo más gracioso es que el compilador sólo utiliza de la libc las funciones para poner datos en la pantalla (fprintf y demás); las de libm y demás están creadas para el propio compilador. Cuando les escribes un mail diciendo que no funciona con una nueva versión de la libc, te dicen que te compres otra nueva versión del programa (sin descuento, claro), así que he aprendido a vivir con versiones arcaicas de todo, y a confiar que el firewall me proteja... Sigh...
Skint resources <http://skint.shef.ac.uk>


LD_PRELOAD y/o LD_LIBRARY_PATH (none / 0) (#2)
por musg0 a las Mon Feb 16th, 2004 at 06:23:48 PM CET
(Información Usuario) http://helvete.escomposlinux.org

Te puedes hacer un script que cargue con LD_PRELOAD la librería libc que necesites aunque en el sistema tengas otras.

También puedes usar un chroot sólo para el compilador. Por falta de opciones para estar actualizado pero seguir usando librerías arcaicas no será.

[ Padre ]


Gracias (none / 0) (#3)
por d Orb a las Mon Feb 16th, 2004 at 08:46:01 PM CET
(Información Usuario) http://skint.shef.ac.uk/

Gracias, no se me había ocurrido hacer nada al respecto porque la verdad es que andaba muy apurada como para romper una de las cosas más importantes para acabar mi trabajo. Aun así, no tengo muy claro cómo funciona el tema de las librerías para el compilador éste. En fin, que me pareció más complicado buscar una solución que no tener lo último de lo último. ¿Tienes más información sobre lo de LD_PRELOAD? Lo de un entorno chroot me parece 'esagerao' :-D
Skint resources <http://skint.shef.ac.uk>
[ Padre ]


LD_PRELOAD (5.00 / 1) (#7)
por musg0 a las Tue Feb 17th, 2004 at 10:29:25 AM CET
(Información Usuario) http://helvete.escomposlinux.org

La variable LD_PRELOAD funciona de forma muy fácil. Simplemente carga en memoria las referencias a funciones de la librería dinámica que le digas en vez de la que haya en el PATH.

Así, si haces por ejemplo:

LD_PRELOAD=milibc.so programa

el programa usará tu librería libc en vez de la que haya en el sistema. Así, puedes hacer perrerías como por ejemplo hace trickle, cambiando las funciones de red por la suyas propias.

Hace tiempo leí un documento que usaba LD_PRELOAD para cambiar la hora sólo para un programa y saltarse así la protección por fecha del programa .

Aquí hay un texto que indica como hacer algo parecido para ejecutar Filemaker Server 5.5 en sistemas modernos.

[ Padre ]


hmmmm (none / 0) (#8)
por d Orb a las Tue Feb 17th, 2004 at 10:49:32 AM CET
(Información Usuario) http://skint.shef.ac.uk/

'teresante, 'teresante... Lo miraré cuando tenga un poco de tiempo, aunque ahora mismo no me acuerdo de qué problemas eran los que tenía (porque me salieron ciento y la madre), aunque creo recordar que la mayoría eran símbolos desconocidos en el ejecutable. Tendré que probar a usar ejecutables no "petroleados" con el LD_PRELOAD. De nuevo, gracias por el truqillo, lo apunto en mi cuaderno para futuros problemas :-)
Skint resources <http://skint.shef.ac.uk>
[ Padre ]


 
Yo a medias (none / 0) (#4)
por filete a las Mon Feb 16th, 2004 at 08:58:41 PM CET
(Información Usuario) http://adobo.org

Sí, yo también soy un adicto a actualizar a la última versión. Pero con matices. Me explico: sale la última versión de Sylpheed-Claws, por ejemplo, y en un principio no me preocupo de actualizar. Pero resulta que en cierto momento me empiezo a aburrir, y.. ¿qué hago? Pues nada, a actualizar todos los programillas por ahí.

Y sí, alguna vez me he llevado alguna sorpresa. Lo peor son estas aplicaciones que en GTK1 eran tan rápidas y ligeras, pero con el paso a GTK2 se quedan en mastodontes inutilizables. Aunque muchas veces también he querido actualizar para probar las versiones GTK2 ("uy, qué bonitas son"), por lo general me decepcionan.

Pues eso, padezco versionitis ocasional, aunque no deja de ser versionitis. Un saludín

P.D.: ¿En el método de supervivencia sin Internet entran en juego muchos CDs vírgenes? ¿Puede ser? Porque como sean disquetes... mal rollo.

---
Estoy en mi salsa...


 
Emergitis galopante (none / 0) (#6)
por SonicPixies a las Tue Feb 17th, 2004 at 12:22:37 AM CET
(Información Usuario)

En mi caso va con la distribución.
Al principio deborando instalaciones, BSD's, QNX, BeOs, como un windows'ero con el freeware.

Cuando estaba con la mandrake, no hacía otra cosa que bajar rpm como un descosio, dependencia por aquí y por allí, y con el Red Carpet al principio también.

Después en debian, me dio por la stable'idad y mantenía impoluto mi sistema, ninguna fuente extra, era como un principio. En los servidores sigo igual, porque sigo con woody.

En casa ya no podía mas, quería más. Todo iba al /usr/local y me dije que woody ya no era para mi escritorio. Miré por ahí incluso el Linux From Scratch y rondandolo estuve hasta que descubrí Gentoo, el linux 'a la ports' y la instalación basada en fuentes. !Voila!
Exceptuando el kernel, j2sdk y algún otro paquete de difícil digestión para mi modem 56k que los llevo a mi ritmo, no hay semana que no me de por ir actualizando y sufriendo alguna que otra incomodidad.



 
¿sin tener Internet en casa? (none / 0) (#10)
por villacampa a las Thu Feb 19th, 2004 at 01:20:32 PM CET
(Información Usuario)

Pues puede que a mí me interese y mucho. Me has despertado la curiosidad. :)



 
Versionitis y otros males | 10 comentarios (10 temáticos, editoriales, 0 ocultos)
Ver: Modo: Orden:

ecol Logo Powered by Scoop
Todas las Marcas Registradas y copyrights de esta página son propiedad de sus respectivos dueños.
Los comentarios son propiedad del que los escribe.
Los iconos de las noticias y el logotipo son propiedad de Javier Malonda.
El Resto © 2002 Escomposlinux.org y aledaños.

Puedes sindicar los contenidos de libertonia en formato RSS 1.0 y RDF 0.9. También se puede sindicar la cola de envíos pendientes de moderación.

El proyecto escomposlinux.org está dedicado a la memoria de tas

crear cuenta | faq | búsqueda